declare type Parser<T> = (value: unknown) => T | null;
declare function hasProperties<T extends object, K extends string>(obj: T, ...keys: K[]): obj is T & {
    [J in K]: unknown;
};
declare const createTypeGuard: <T>(parse: Parser<T>) => (value: unknown) => value is T;
export { hasProperties, createTypeGuard };
export default createTypeGuard;
