"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function hasProperties(obj) {
    var keys = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        keys[_i - 1] = arguments[_i];
    }
    return !!obj && !keys.some(function (key) { return !obj.hasOwnProperty(key); });
}
exports.hasProperties = hasProperties;
var createTypeGuard = function (parse) { return function (value) {
    return parse(value) !== null;
}; };
exports.createTypeGuard = createTypeGuard;
exports.default = createTypeGuard;
